/*
 * File: FindLongestLine.js
 * ------------------------
 * This program finds the longest line in a file chosen by the user.
 */

/* Main program */

function FindLongestLine() {
   let callback = function(text) {
      let lines = JSFileChooser.convertToLineArray(text);
      if (lines.length > 0) {
         console.log("The longest line is:");
         console.log(longestLineInArray(lines));
      }
   };
   JSFileChooser.chooseTextFile(callback);
}

/*
 * Returns the longest line in the array of strings.
 */

function longestLineInArray(lines) {
   let longest = "";
   while (lines.length > 0) {
      let line = lines.shift();
      if (line.length > longest.length) {
         longest = line;
      }
   }
   return longest;
}
